## mutter 45.3

=== debian/changelog ===
mutter (45.3-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jan 2024 16:00:43 -0500

mutter (45.3-1) experimental; urgency=medium

  * New upstream release
  * debian/libmutter-13-0.symbols: Add new symbol
  * Drop overrides for non-Linux since we build for Linux only

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Jan 2024 15:58:29 -0500

mutter (45.2-3ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Dec 2023 09:32:48 -0500

mutter (45.2-3) experimental; urgency=medium

  [ Daniel van Vugt ]
  * Update Support-Dynamic-triple-double-buffering.patch
    with a fix to the frame clock for a regression inherited from
    45.1 (8f27ebf8) whereby it would enter triple buffering mode
    prematurely. And because it was premature, the clock would soon
    notice that triple buffering isn't required and drop back to double
    buffering. But the switch from triple to double buffering stalls the
    client frame queue by one frame which for some clients like Firefox
    is seen as a frame skip. (LP: #2046360)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Dec 2023 09:29:22 -0500

mutter (45.2-2) experimental; urgency=medium

  * Team upload

  [ Chris Hofstaedtler ]
  * Honor udev.pc's udevdir when installing udev rules (Closes: #1057319)

  [ Simon McVittie ]
  * Merge with version 44.7-1 from unstable
  * d/control, d/rules: Stop generating d/control from d/control.in
  * d/patches: Mark several additional tests as flaky.
    Most of these have never been reliable on Debian buildds, especially
    on ARM, so having them fail is not a regression. They usually succeed
    after a few retries, but that's time-consuming and unsuitable to be a
    QA gate.
    The restore-size test was previously not run at all: now it is run, but
    marked as flaky (so its result is ignored).

 -- Simon McVittie <smcv@debian.org>  Wed, 13 Dec 2023 17:08:10 +0000

mutter (45.2-1ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Dec 2023 15:19:05 -0500

mutter (44.7-1) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream release
  * Drop patches that were included in the upstream release

  [ Chris Hofstaedtler ]
  * Honor udev.pc's udevdir when installing udev rules (Closes: #1057319)

 -- Simon McVittie <smcv@debian.org>  Tue, 12 Dec 2023 13:31:00 +0000

mutter (45.2-1) experimental; urgency=medium

  * New upstream release (LP: #2043000)
  * Drop patches applied in new release
  * Drop unimportant patch not included in the mutter 45.2 backports

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Dec 2023 08:54:20 -0500

mutter (45.1-2ubuntu1) noble; urgency=medium

  * Merge with Debian. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 12 Nov 2023 12:35:36 -0500

mutter (45.1-2) experimental; urgency=medium

  * Cherry-pick several commits to fix Wacom on X11 issues (LP: #2043027)
  * Cherry-pick other commits suggested in !3414 to fix several issues

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Nov 2023 09:48:34 -0500

mutter (45.1-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release (LP: #2043000)
    - Fix capital accent letters (LP: #2035076)
    - Fix crash when screen locked or heavy load with some Ryzen systems
      (LP: #2034619)
  * debian/libmutter-13-0.symbols: Add new symbols
  * debian/libmutter-13-0.symbols: Add missing Build-Depends-Package annotation
  * Update build autopkgtest to not run dh_auto_test (LP: #2038564)
  * Drop patches applied in new release

  [ Daniel van Vugt ]
  * Rebase triple buffering patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Nov 2023 18:49:03 +0200

mutter (45.0-3ubuntu4) noble; urgency=medium

  * Cherry pick 4 commits to fix SIGKILL on lockscreen. (LP: #2034619)
  * Drop kms-impl-device-Inhibit-deadline-timer-on-amdgpu.patch

 -- Mario Limonciello <superm1@gmail.com>  Thu, 26 Oct 2023 10:27:44 -0500
