## mutter 46.0

=== debian/changelog ===
mutter (46.0-1ubuntu9) noble; urgency=medium

  * Have mutter-common Breaks/Replaces recent magpie-common
    for org.gnome.mutter.x11.gschema.xml (LP: #2060659)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 16:01:26 -0400

mutter (46.0-1ubuntu8) noble; urgency=medium

  * d/p/ubuntu/x11-Add-support-for-fractional-scaling: Enable X11 scaling again
    (LP: #2060659)
  * debian/control: Revert mutter-common breaks libmutter back to focal:
    - This is not needed anymore as the above enabled patch provides the
      gsettings schema

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 18 Apr 2024 02:40:05 +0200

mutter (46.0-1ubuntu7) noble; urgency=medium

  [ Daniel van Vugt ]
  * debian/control: mutter-common now breaks libmutter back to focal.
    Because  we have dropped X11 fractional scaling support for now,
    `org.gnome.mutter.x11.gschema.xml` is no longer shipped and those
    older versions of libmutter will fail to start(LP: #2060423)
  * Add compositor-sync-ring-Allow-the-gpu_fence-to-be-moved.patch
    to fix lag and freezes on the Nvidia Xorg driver (LP: #2059847)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 16 Apr 2024 08:46:54 -0400

mutter (46.0-1ubuntu6) noble; urgency=medium

  * Rebuild for CVE-2024-3094

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 31 Mar 2024 10:24:22 -0400

mutter (46.0-1ubuntu3) noble; urgency=medium

  * Ignore test results to have an installable package on other architectures,
    which succeed to build. Failing test is:
      116/184 mutter:clutter+clutter/conform / gesture
  * mutter: Relax the dependency on mutter-common, not using ${source:Version},
    but the lowest upstream version number.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 19:20:17 +0100

mutter (46.0-1ubuntu2) noble; urgency=high

  * No change rebuild against libcanberra0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:24:22 +0100

mutter (46.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian NEW. Remaining changes:
    - Add x11-Add-support-for-fractional-scaling-using-Randr.patch
    - Add window-Add-ability-to-override-the-edge-constraints.patch
      + Make possible for extensions (such as Tiling Assistant) to override
        window constraints
    - Temporarily disable x11 fractional scaling patch
  * Ignore test failures on armhf & ppc64el
  * Drop obsolete Breaks
  * Add Breaks: gnome-shell << 46.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 16:46:38 -0400

mutter (46.0-1) experimental; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Update binary package names for soname bump
  * Update symbols
  * Add Build-Depends: libpixman-1-dev, libdisplay-info-dev
  * Drop obsolete Build-Depends: libjson-glib-dev
  * Bump minimum wayland-protocols to 1.33
  * Drop 4 patches applied in new release
  * Refresh patches

  [ Daniel van Vugt ]
  * Update triple buffering patch
  * Add kms-crtc-Increase-default-deadline-evasion-to-1000-micros.patch
    to fix cursor stutter in Wayland sessions when nothing else is
    animating on screen (LP: #2040977)
  * Add Nvidia-secondary-GPU-copy-acceleration.patch
    to enable hardware accelerated screen updates on secondary GPU-connected
    monitors (LP: #1970291).

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Mar 2024 15:11:40 -0400

mutter (45.3-3) experimental; urgency=medium

  * Cherry-pick several cursor fixes to fix compatibility with latest
    adwaita-icon-theme (Closes: #1063640)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 17 Feb 2024 09:58:59 +0100

mutter (45.3-2) experimental; urgency=medium

  * Team upload

  [ Daniel van Vugt ]
  * Drop cogl-onscreen-glx-Forcefully-disable-cogl_onscreen_glx_ge.patch.
    The bug was fixed properly in Mutter 45.0 and in Mesa 23.3.0.

  [ Jeremy Bícha ]
  * debian/control: Add Homepage

  [ Simon McVittie ]
  * Merge packaging changes from unstable
    - d/control: Build-depend on systemd-dev instead of udev
      (Closes: #1060619)
    - All other changes were included in 45.3-1

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 17:46:16 +0000

mutter (44.8-3) unstable; urgency=medium

  * Cherry-pick several cursor fix to fix compatibility with latest
    adwaita-icon-theme (Closes: #1063640)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 10 Feb 2024 07:56:05 -0500

mutter (44.8-2) unstable; urgency=medium

  * Cherry-pick patch from 45.1 to fix using caps lock to enter
    accented characters with ibus 1.5.29 (Closes: #1054214) (LP: #2035076)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 25 Jan 2024 16:00:55 -0500

mutter (44.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix a crash involving the workspace indicator extension
      (gnome-shell-extensions#469, related to gjs#591)
    - Avoid relayout happening at the wrong time, which is a performance
      problem and should not happen (mutter#3425)
    - Fix a grey area at the top of fullscreen X11 windows (mutter#2937)
    - Fix build without Wayland headers (mutter#3046, does not affect Debian)
    - Show the configured background colour around backgrounds that do not
      fill the screen, instead of always black (mutter#1911)
  * d/patches: Mark several additional tests as flaky (backported from
    experimental).
    Most of these have never been reliable on Debian buildds, especially
    on ARM, so having them fail is not a regression. They usually succeed
    after a few retries, but that's time-consuming and unsuitable to be
    a QA gate.
    The restore-size test was previously not run at all: now it is run,
    but marked as flaky (so its result is ignored).

 -- Simon McVittie <smcv@debian.org>  Mon, 15 Jan 2024 13:49:28 +0000

mutter (44.7-2) unstable; urgency=medium

  * Team upload
  * d/control, d/rules: Stop generating d/control from d/control.in
  * d/control: Build-depend on systemd-dev instead of udev
    (Closes: #1060619)

 -- Simon McVittie <smcv@debian.org>  Sun, 14 Jan 2024 19:32:46 +0000


