=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                libcairo2-dev (>= 1.10.0),
                libcanberra-gtk3-dev,
                libcolord-dev,
+               libdisplay-info-dev,
                libdrm-dev (>= 2.4.83),
                libegl1-mesa-dev (>= 17),
                libfribidi-dev (>= 1.0.0),
@@ -46,6 +47,7 @@
                libpam0g-dev,
                libpango1.0-dev (>= 1.46.0),
                libpipewire-0.3-dev (>= 0.3.33),
+               libpixman-1-dev (>= 0.42),
                libsm-dev,
                libstartup-notification0-dev (>= 0.7),
                libsysprof-6-dev [!hurd-i386 !i386],
@@ -72,14 +74,14 @@
                libxrender-dev,
                libxt-dev,
                meson (>= 0.55.0),
-               pkg-config (>= 0.22),
+               pkgconf,
                python3-attr,
                python3-jinja2,
                python3-dbus <!nocheck>,
                python3-dbusmock <!nocheck>,
                sysprof [!hurd-i386 !i386],
-               udev,
-               wayland-protocols (>= 1.31),
+               systemd-dev,
+               wayland-protocols (>= 1.33),
                xauth <!nocheck>,
                xcvt,
                xkb-data,
@@ -88,17 +90,16 @@
                zenity
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b debian/unstable
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
-Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/mutter/tree/ubuntu/master
+Homepage: https://mutter.gnome.org/
+Vcs-Git: https://salsa.debian.org/gnome-team/mutter.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/mutter
 
 Package: mutter
 Architecture: linux-any
 Depends: adwaita-icon-theme,
          gnome-settings-daemon-common,
          gsettings-desktop-schemas (>= 40~alpha),
-         mutter-common (>= ${source:Version}),
+         mutter-common (>= 46.0-1),
          zenity,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -118,13 +119,13 @@
  This package contains the mutter executable. It can be used as a
  standalone window manager, but is primarily intended for debugging.
 
-Package: mutter-13-tests
+Package: mutter-14-tests
 Architecture: linux-any
 Depends: at-spi2-core,
          dbus-daemon,
          dmz-cursor-theme,
-         libmutter-13-0 (= ${binary:Version}),
-         libmutter-test-13 (= ${binary:Version}),
+         libmutter-14-0 (= ${binary:Version}),
+         libmutter-test-14 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          python3,
          python3-dbus,
@@ -147,11 +148,11 @@
  This package contains test programs, designed to be run as part of a
  regression testsuite.
 
-Package: gir1.2-mutter-13
+Package: gir1.2-mutter-14
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: libmutter-13-0 (= ${binary:Version}),
+Depends: libmutter-14-0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -168,7 +169,7 @@
  This package contains the GObject introspection data which may be
  used to generate dynamic bindings.
 
-Package: libmutter-13-0
+Package: libmutter-14-0
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
@@ -179,12 +180,7 @@
          mutter-common-bin (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: apparmor (<< 2.13.3-5~),
-        gnome-control-center (<< 1:3.25.2),
-        gnome-settings-daemon (<< 3.31.101),
-        gnome-shell (<< 45~rc),
-        libgtk-3-0 (<< 3.24.33-2~),
-        libgtk-4-1 (<< 4.6.3+ds1-2~),
+Breaks: gnome-shell (<< 46.0),
         xwayland (<< 2:23.1.0),
 Description: window manager library from the Mutter window manager
  Mutter is a Wayland display server and X11 window manager and
@@ -199,16 +195,15 @@
  This package contains the window manager shared library, used by mutter
  itself, and gnome-shell.
 
-Package: libmutter-13-dev
+Package: libmutter-14-dev
 Section: libdevel
 Architecture: linux-any
 Multi-Arch: same
-Depends: gir1.2-mutter-13 (= ${binary:Version}),
+Depends: gir1.2-mutter-14 (= ${binary:Version}),
          gsettings-desktop-schemas-dev (>= 40~alpha),
          libatk1.0-dev,
          libcairo2-dev,
          libdrm-dev,
-         libegl-dev,
          libegl1-mesa-dev,
          libgbm-dev,
          libgdk-pixbuf-2.0-dev,
@@ -216,8 +211,7 @@
          libglib2.0-dev (>= 2.75.0),
          libgraphene-1.0-dev (>= 1.9.3),
          libinput-dev (>= 1.19),
-         libjson-glib-dev,
-         libmutter-13-0 (= ${binary:Version}),
+         libmutter-14-0 (= ${binary:Version}),
          libpango1.0-dev,
          libwayland-dev,
          libx11-dev,
@@ -240,14 +234,14 @@
  .
  This package contains the development files.
 
-Package: libmutter-test-13
+Package: libmutter-test-14
 Section: libs
 Architecture: linux-any
-Depends: libmutter-13-0 (= ${binary:Version}),
+Depends: libmutter-14-0 (= ${binary:Version}),
          mutter (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: gir1.2-metatest-13
+Provides: gir1.2-metatest-14
 Description: Test helper library for GNOME's window manager library
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
@@ -262,6 +256,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: magpie-common (<< 0.9.3-0ubuntu8~)
+Replaces: magpie-common (<< 0.9.3-0ubuntu8~)
 Description: shared files for the Mutter window manager
  Mutter is a Wayland display server and X11 window manager and
  compositor library. It contains functionality related to, among other
