=== debian/changelog ===
mutter (46.2-1ubuntu0.24.04.11) noble; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * d/p: Fix privacy screen enum definitions (LP: #2085423)
  * d/p: Correctly track the current privacy screen state (LP: #2121517)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Mon, 27 Oct 2025 15:31:56 +0100

mutter (46.2-1ubuntu0.24.04.10) noble; urgency=medium

  * Add proposed patch fixing crash on window drag (LP: #2107454)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 09 Jul 2025 09:10:43 +0200

mutter (46.2-1ubuntu0.24.04.9) noble; urgency=medium

  [ Chun-Yi Wu ]
  * Backport patches to fix AMD platform Nvidia dGPU screen freeze in
    Wayland. It was seen as a screen freeze but actually just running on
    the dGPU when that's not wired to the laptop display. (LP: #2111902)

  [ Yao Wei (魏銘廷) ]
  * d/p/wayland-Pass-latest-cogl-sync_fd-on-kms-update.patch:
    Fix issue where glxgears runs slower than display refresh rate
    (LP: #2111698)

  [ Daniel van Vugt ]
  * Add onscreen-native-Return-the-correct-number-of-EGL-modifier.patch
    to fix multi-monitor reverse PRIME support on desktops where Nvidia is
    primary and an integrated GPU is secondary. (LP: #1978905)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Fri, 30 May 2025 14:17:28 +0800

mutter (46.2-1ubuntu0.24.04.8) noble; urgency=medium

  * Add clutter-Repick-actors-when-touches-emulate-button-clicks.patch
    to resolve touchscreen problems on X11 (LP: #2063005, LP: #1904237)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 09 Apr 2025 14:13:33 +0800

mutter (46.2-1ubuntu0.24.04.7) noble; urgency=medium

  [ Alessandro Astone ]
  * Backport patches to fix crash when closing apps with subsurfaces
    (LP: #2093237)
  * Backport patches to fix drag&drop from X11 to Wayland windows
    (LP: #2097415)
  * Backport patches to fix possibly out of sync selection (LP: #2085634)
  * Backport patches to fix handling of pixel formats with no alpha, which
    fixes rendering of dialogs in IntelliJ IDEA. (LP: #2099879)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 19 Mar 2025 16:59:59 +0800

mutter (46.2-1ubuntu0.24.04.6) noble; urgency=medium

  [ Alessandro Astone ]
  * Backport patch to avoid full framebuffer damage when dragging a window
    (LP: #2080698)
  * Backport patches to fix crash with pointer-constraints and touch
    (LP: #2090824)
  * Backport patches to fix touchscreen drag&drop (LP: #1966635)
  * The above patches require and include the fix for LP: #2090824 even
    though that bug does not exist on Noble.
  * Silence lintian error about the version of two new symbols.

  [ Yao Wei (魏銘廷) ]
  * debian/patches: Synchronize touchscreen enabled state when adding it to
    device mapper, which fixes suspend/resume related issue (LP: #2087831)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 22 Jan 2025 14:14:03 +0800

mutter (46.2-1ubuntu0.24.04.5) noble; urgency=medium

  [ 林博仁(Buo-ren Lin) ]
  * Fix Intelligent Input Bus (IBus) not activatable during filename editing
    operations. (LP: #2076869)

  [ Alessandro Astone ]
  * Backport patches to fix restarting the x11 compositor (LP: #2040453)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 26 Nov 2024 03:04:49 +0100

mutter (46.2-1ubuntu0.24.04.4) noble; urgency=medium

  * Regenerate the patches for Xilinx (Mali) support using gbp pq syntax
    and fixing an unused uninitialized variable. (LP: #2080602)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 10 Oct 2024 16:26:01 +0800

mutter (46.2-1ubuntu0.24.04.3) noble; urgency=medium

  [ Talha Can Havadar ]
  * Add patches to restore support for EGL 1.4 and GLES 2.0. They are
    required for Xilinx (Mali) support (LP: #2080602)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 03 Oct 2024 16:03:43 +0800

mutter (46.2-1ubuntu0.24.04.2) noble; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Fix screen recording crash with scaling and a custom cursor
    (LP: #2077746)

  [ Daniel van Vugt ]
  * Add backends-native-Avoid-duplicating-or-losing-KMS-property-.patch
    to avoid duplicating or losing colour profile, night light, HDR, or
    privacy screen updates (LP: #2025006)
  * Update the KMS deadline evasion patch to 2000us instead of 1000us.
    Some laptops need higher numbers than 1000us to avoid cursor stutter
    (LP: #2076318)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 28 Aug 2024 15:55:48 +0200

mutter (46.2-1ubuntu0.24.04.1) noble; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 46.2 (LP: #2068598)
    - Fixed mouse clicks falling through to the window behind (LP: #2026194)
    - Fixed a crash in meta_wayland_transaction_commit (LP: #2061739)
    - Fixed night light getting stuck on (LP: #2066902)
  * New upstream release 46.1 (LP: #2064735):
    - Fixed blank screen on hybrid GPU machines using nouveau (LP: #2066931)
    - Fixed a monitor hotplug crash (LP: #2050865)
    - Improved performance on secondary GPU monitors (LP: #2038801)
  * Refreshed patches:
    - Support-Dynamic-triple-double-buffering.patch (LP: #2070437, LP: #2070438)
    - meson-Do-not-mark-CI-test-tools-as-required.patch
    - Mark-several-additional-tests-as-flaky.patch
  * Add clutter/conform gesture tests to the list of known flaky ones:
    it's a new test in Mutter 46 and not yet reliable.
  * Add build-Compile-schemas-locally-for-use-in-build-tests.patch to compile
    gsettings schemas for use in build tests. Debian CI requires this now and
    it makes rebuilds more resilient against infrastructure changes.
  * Add wayland-Disable-linux-drm-syncobj-v1.patch to avoid enabling major
    new features in Noble updates, as detailed in:
    https://lists.ubuntu.com/archives/ubuntu-release/2024-May/006087.html
  * Add backends-Handle-null-views-instead-of-creating-dummy-view.patch
    to prevent "clutter_frame_clock_notify_presented: code should not be

