## mutter 46.3.1

=== debian/changelog ===
mutter (2:46.3.1-1) unstable; urgency=medium

  * Add front version number

 -- Pedro M. de Echanove Pasquin <pedro.echanove@tuxum.com>  Tue, 8 Oct 2024 15:32:42 +0200

mutter (46.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Pedro M. de Echanove Pasquin <pedro.echanove@tuxum.com>  Thu, 3 Oct 2024 13:37:52 +0200
